Table of Contents

## Name

AuMakeElementImportDevice - initialize an ImportDevice element

## Synopsis

#include <audio/audiolib.h>

AuMakeElementImportDevice(element, sample_rate, device, num_samples, num_actions, actions)
AuElement *element; /* RETURN */
unsigned short sample_rate;
AuDeviceID device;
AuUint32 num_samples;
int num_actions;
AuElementAction *actions;

## Arguments

element
  Returns the initialized element.
sample_rate
  Specifies the sample rate of the audio data.
device
  Specifies the ID of the device to read the audio data from.
num_samples
  Specifies the number of samples to read from the device. Use AuUnlimitedSamples to indicate an unlimited number of samples.
num_actions
  Specifies the number of actions in actions.
actions
  Specifies the list of actions to associate with this element. Entries in this list can be initialized with AuMakeChangeStateAction, AuMakeSendNotifyAction, and AuMakeNoopAction. May be NULL.

## Description

AuMakeElementImportDevice sets the type member of element to AuElementTypeImportDevice and initializes the importdevice member of element with the remaining arguments.

AuMakeElementImportDevice is implemented as a macro.

## See Also

AuMakeElementAddConstant, AuMakeElementBundle, AuMakeElementExportBucket, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementExportMonitor, AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also